org.gradle.api.publish.ivy

## Interface IvyExtraInfoSpec

- All Superinterfaces:
    IvyExtraInfo

      @Incubating
      public interface IvyExtraInfoSpec
      extends IvyExtraInfo

  Represents a modifiable form of IvyExtraInfo so that "extra" info elements can be configured on an Ivy publication.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(String namespace, String name, String value)` Puts the specified extra element into the list of extra info elements.

    - ### Methods inherited from interface org.gradle.api.artifacts.ivy.IvyExtraInfo

      `asMap, get, get`

- - ### Method Detail

    - #### add

          void add(String namespace,
                 String name,
                 String value)

      Puts the specified extra element into the list of extra info elements.
      Parameters:
        `namespace` - The namespace of the element to add
        `name` - The name of the element to add
        `value` - The value of the element to add